com.google.gwt.dom.client

## Class DOMImplTrident

- java.lang.Object
- - com.google.gwt.dom.client.DOMImpl
  - - com.google.gwt.dom.client.DOMImplTrident

- Direct Known Subclasses:
    DOMImplIE8

      abstract class DOMImplTrident
      extends DOMImpl

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.dom.client.DOMImpl

      `impl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOMImplTrident()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `ButtonElement` | `createButtonElement(Document doc, java.lang.String type)`
    `Element` | `createElement(Document doc, java.lang.String tagName)`
    `NativeEvent` | `createHtmlEvent(Document doc, java.lang.String type, boolean canBubble, boolean cancelable)`
    `InputElement` | `createInputRadioElement(Document doc, java.lang.String name)`
    `NativeEvent` | `createKeyCodeEvent(Document doc, java.lang.String type, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int keyCode)`
    `NativeEvent` | `createKeyEvent(Document doc, java.lang.String type, boolean canBubble, boolean cancelable, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int keyCode, int charCode)` Deprecated.
    `NativeEvent` | `createKeyPressEvent(Document doc, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int charCode)`
    `NativeEvent` | `createMouseEvent(Document doc, java.lang.String type, boolean canBubble, boolean cancelable, int detail, int screenX, int screenY, int clientX, int clientY, boolean ctrlKey, boolean altKey, boolean shiftKey, boolean metaKey, int button, Element relatedTarget)`
    `java.lang.String` | `cssFloatPropertyName()`
    `void` | `dispatchEvent(Element target, NativeEvent evt)`
    `int` | `eventGetCharCode(NativeEvent evt)`
    `EventTarget` | `eventGetCurrentTarget(NativeEvent event)`
    `int` | `eventGetMouseWheelVelocityY(NativeEvent evt)`
    `EventTarget` | `eventGetRelatedTarget(NativeEvent evt)`
    `EventTarget` | `eventGetTarget(NativeEvent evt)`
    `void` | `eventPreventDefault(NativeEvent evt)`
    `void` | `eventStopPropagation(NativeEvent evt)`
    `java.lang.String` | `eventToString(NativeEvent evt)`
    `java.lang.String` | `getAttribute(Element elem, java.lang.String name)` IE returns a numeric type for some attributes that are really properties, such as offsetWidth.
    `int` | `getBodyOffsetLeft(Document doc)`
    `int` | `getBodyOffsetTop(Document doc)`
    `protected int` | `getBoundingClientRectLeft(Element elem)`
    `protected int` | `getBoundingClientRectTop(Element elem)`
    `java.lang.String` | `getInnerText(Element elem)`
    `java.lang.String` | `getNumericStyleProperty(Style style, java.lang.String name)` Coerce numeric values a string.
    `java.lang.String` | `getTagName(Element elem)`
    `boolean` | `hasAttribute(Element elem, java.lang.String name)`
    `boolean` | `isOrHasChild(Node parent, Node child)`
    `(package private) static boolean` | `isOrHasChildImpl(Node parent, Node child)`
    `protected boolean` | `isRTL(Element elem)`
    `void` | `selectAdd(SelectElement select, OptionElement option, OptionElement before)`
    `void` | `setInnerText(Element elem, java.lang.String text)`

    - ### Methods inherited from class com.google.gwt.dom.client.DOMImpl

      `buttonClick, createCheckInputElement, createInputElement, createScriptElement, cssClearOpacity, cssSetOpacity, eventGetAltKey, eventGetButton, eventGetClientX, eventGetClientY, eventGetCtrlKey, eventGetKeyCode, eventGetMetaKey, eventGetRotation, eventGetScale, eventGetScreenX, eventGetScreenY, eventGetShiftKey, eventGetType, eventSetKeyCode, getAbsoluteLeft, getAbsoluteTop, getChangedTouches, getDocumentScrollingElement, getFirstChildElement, getInnerHTML, getNextSiblingElement, getNodeType, getParentElement, getPreviousSiblingElement, getScrollLeft, getScrollLeft, getScrollTop, getStyleProperty, getTabIndex, getTargetTouches, getTouches, scrollIntoView, selectClear, selectGetLength, selectGetOptions, selectRemoveOption, setDraggable, setScrollLeft, setScrollLeft, setScrollTop, toInt32, toString, touchGetClientX, touchGetClientY, touchGetIdentifier, touchGetPageX, touchGetPageY, touchGetScreenX, touchGetScreenY, touchGetTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DOMImplTrident

          DOMImplTrident()

  - ### Method Detail

    - #### isOrHasChildImpl

          static boolean isOrHasChildImpl(Node parent,
                                          Node child)

    - #### createButtonElement

          public ButtonElement createButtonElement(Document doc,
                                                   java.lang.String type)

      Overrides:
        `createButtonElement` in class `DOMImpl`

    - #### createElement

          public Element createElement(Document doc,
                                       java.lang.String tagName)

      Overrides:
        `createElement` in class `DOMImpl`

    - #### createHtmlEvent

          public NativeEvent createHtmlEvent(Document doc,
                                             java.lang.String type,
                                             boolean canBubble,
                                             boolean cancelable)

      Specified by:
        `createHtmlEvent` in class `DOMImpl`

    - #### createInputRadioElement

          public InputElement createInputRadioElement(Document doc,
                                                      java.lang.String name)

      Specified by:
        `createInputRadioElement` in class `DOMImpl`

    - #### createKeyCodeEvent

          public NativeEvent createKeyCodeEvent(Document doc,
                                                java.lang.String type,
                                                boolean ctrlKey,
                                                boolean altKey,
                                                boolean shiftKey,
                                                boolean metaKey,
                                                int keyCode)

      Specified by:
        `createKeyCodeEvent` in class `DOMImpl`

    - #### createKeyEvent

          @Deprecated
          public NativeEvent createKeyEvent(Document doc,
                                                        java.lang.String type,
                                                        boolean canBubble,
                                                        boolean cancelable,
                                                        boolean ctrlKey,
                                                        boolean altKey,
                                                        boolean shiftKey,
                                                        boolean metaKey,
                                                        int keyCode,
                                                        int charCode)

      Deprecated.
      Specified by:
        `createKeyEvent` in class `DOMImpl`

    - #### createKeyPressEvent

          public NativeEvent createKeyPressEvent(Document doc,
                                                 boolean ctrlKey,
                                                 boolean altKey,
                                                 boolean shiftKey,
                                                 boolean metaKey,
                                                 int charCode)

      Specified by:
        `createKeyPressEvent` in class `DOMImpl`

    - #### createMouseEvent

          public NativeEvent createMouseEvent(Document doc,
                                              java.lang.String type,
                                              boolean canBubble,
                                              boolean cancelable,
                                              int detail,
                                              int screenX,
                                              int screenY,
                                              int clientX,
                                              int clientY,
                                              boolean ctrlKey,
                                              boolean altKey,
                                              boolean shiftKey,
                                              boolean metaKey,
                                              int button,
                                              Element relatedTarget)

      Specified by:
        `createMouseEvent` in class `DOMImpl`

    - #### cssFloatPropertyName

          public java.lang.String cssFloatPropertyName()

      Overrides:
        `cssFloatPropertyName` in class `DOMImpl`

    - #### dispatchEvent

          public void dispatchEvent(Element target,
                                    NativeEvent evt)

      Specified by:
        `dispatchEvent` in class `DOMImpl`

    - #### eventGetCharCode

          public int eventGetCharCode(NativeEvent evt)

      Specified by:
        `eventGetCharCode` in class `DOMImpl`

    - #### eventGetCurrentTarget

          public EventTarget eventGetCurrentTarget(NativeEvent event)

      Overrides:
        `eventGetCurrentTarget` in class `DOMImpl`

    - #### eventGetMouseWheelVelocityY

          public int eventGetMouseWheelVelocityY(NativeEvent evt)

      Specified by:
        `eventGetMouseWheelVelocityY` in class `DOMImpl`

    - #### eventGetRelatedTarget

          public EventTarget eventGetRelatedTarget(NativeEvent evt)

      Specified by:
        `eventGetRelatedTarget` in class `DOMImpl`

    - #### eventGetTarget

          public EventTarget eventGetTarget(NativeEvent evt)

      Specified by:
        `eventGetTarget` in class `DOMImpl`

    - #### eventPreventDefault

          public void eventPreventDefault(NativeEvent evt)

      Specified by:
        `eventPreventDefault` in class `DOMImpl`

    - #### eventStopPropagation

          public void eventStopPropagation(NativeEvent evt)

      Overrides:
        `eventStopPropagation` in class `DOMImpl`

    - #### eventToString

          public java.lang.String eventToString(NativeEvent evt)

      Specified by:
        `eventToString` in class `DOMImpl`

    - #### getAttribute

          public java.lang.String getAttribute(Element elem,
                                               java.lang.String name)

      IE returns a numeric type for some attributes that are really properties, such as offsetWidth. We need to coerce these to strings to prevent a runtime JS exception.
      Overrides:
        `getAttribute` in class `DOMImpl`

    - #### getBodyOffsetLeft

          public int getBodyOffsetLeft(Document doc)

      Overrides:
        `getBodyOffsetLeft` in class `DOMImpl`

    - #### getBodyOffsetTop

          public int getBodyOffsetTop(Document doc)

      Overrides:
        `getBodyOffsetTop` in class `DOMImpl`

    - #### getInnerText

          public java.lang.String getInnerText(Element elem)

      Overrides:
        `getInnerText` in class `DOMImpl`

    - #### getNumericStyleProperty

          public java.lang.String getNumericStyleProperty(Style style,
                                                          java.lang.String name)

      Coerce numeric values a string. In IE, some values can be stored as numeric types.
      Overrides:
        `getNumericStyleProperty` in class `DOMImpl`

    - #### getTagName

          public java.lang.String getTagName(Element elem)

      Overrides:
        `getTagName` in class `DOMImpl`

    - #### hasAttribute

          public boolean hasAttribute(Element elem,
                                      java.lang.String name)

      Overrides:
        `hasAttribute` in class `DOMImpl`

    - #### isOrHasChild

          public boolean isOrHasChild(Node parent,
                                      Node child)

      Specified by:
        `isOrHasChild` in class `DOMImpl`

    - #### selectAdd

          public void selectAdd(SelectElement select,
                                OptionElement option,
                                OptionElement before)

      Overrides:
        `selectAdd` in class `DOMImpl`

    - #### setInnerText

          public void setInnerText(Element elem,
                                   java.lang.String text)

      Overrides:
        `setInnerText` in class `DOMImpl`

    - #### getBoundingClientRectLeft

          protected int getBoundingClientRectLeft(Element elem)

    - #### getBoundingClientRectTop

          protected int getBoundingClientRectTop(Element elem)

    - #### isRTL

          protected boolean isRTL(Element elem)